Loading...
Searching...
No Matches
driver Struct Reference

`#include <driver.h>`

## Data Fields

char * | name
void(* | Box )(double, double, double, double)
void(* | Erase )(void)
int(* | Graph_set )(void)
void(* | Graph_close )(void)
const char *(* | Graph_get_file )(void)
void(* | Line_width )(double)
void(* | Set_window )(double, double, double, double)
void(* | Begin_raster )(int, int[2][2], double[2][2])
int(* | Raster )(int, int, const unsigned char *, const unsigned char *, const unsigned char *, const unsigned char *)
void(* | End_raster )(void)
void(* | Begin )(void)
void(* | Move )(double, double)
void(* | Cont )(double, double)
void(* | Close )(void)
void(* | Stroke )(void)
void(* | Fill )(void)
void(* | Point )(double, double)
void(* | Color )(int, int, int)
void(* | Bitmap )(int, int, int, const unsigned char *)
void(* | Text )(const char *)
void(* | Text_box )(const char *, double *, double *, double *, double *)
void(* | Set_font )(const char *)
void(* | Font_list )(char ***, int *)
void(* | Font_info )(char ***, int *)

## Detailed Description

Definition at line 27 of file driver.h.

## Field Documentation

## Begin

void(* driver::Begin) (void)

Definition at line 41 of file driver.h.

Referenced by Cairo_Driver(), COM_Begin(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Begin_raster

void(* driver::Begin_raster) (int, int[2][2], double[2][2])

Definition at line 37 of file driver.h.

Referenced by Cairo_Driver(), COM_begin_raster(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Bitmap

void(* driver::Bitmap) (int, int, int, const unsigned char *)

Definition at line 50 of file driver.h.

Referenced by Cairo_Driver(), COM_Bitmap(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Box

void(* driver::Box) (double, double, double, double)

Definition at line 30 of file driver.h.

Referenced by Cairo_Driver(), COM_Box_abs(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Close

void(* driver::Close) (void)

Definition at line 44 of file driver.h.

Referenced by Cairo_Driver(), COM_Close(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Color

void(* driver::Color) (int, int, int)

Definition at line 49 of file driver.h.

Referenced by Cairo_Driver(), COM_Color_RGB(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Cont

void(* driver::Cont) (double, double)

Definition at line 43 of file driver.h.

Referenced by Cairo_Driver(), COM_Cont(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## End_raster

void(* driver::End_raster) (void)

Definition at line 40 of file driver.h.

Referenced by Cairo_Driver(), COM_end_raster(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Erase

void(* driver::Erase) (void)

Definition at line 31 of file driver.h.

Referenced by Cairo_Driver(), COM_Erase(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Fill

void(* driver::Fill) (void)

Definition at line 46 of file driver.h.

Referenced by Cairo_Driver(), COM_Fill(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Font_info

void(* driver::Font_info) (char ***, int *)

Definition at line 55 of file driver.h.

Referenced by Cairo_Driver(), COM_Font_info(), COM_Set_font(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Font_list

void(* driver::Font_list) (char ***, int *)

Definition at line 54 of file driver.h.

Referenced by Cairo_Driver(), COM_Font_list(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Graph_close

void(* driver::Graph_close) (void)

Definition at line 33 of file driver.h.

Referenced by Cairo_Driver(), COM_Graph_close(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Graph_get_file

const char *(* driver::Graph_get_file) (void)

Definition at line 34 of file driver.h.

Referenced by Cairo_Driver(), COM_Graph_get_file(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Graph_set

int(* driver::Graph_set) (void)

Definition at line 32 of file driver.h.

Referenced by Cairo_Driver(), COM_Graph_set(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Line_width

void(* driver::Line_width) (double)

Definition at line 35 of file driver.h.

Referenced by Cairo_Driver(), COM_Line_width(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Move

void(* driver::Move) (double, double)

Definition at line 42 of file driver.h.

Referenced by Cairo_Driver(), COM_Move(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## name

char* driver::name

Definition at line 28 of file driver.h.

Referenced by Cairo_Driver(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Point

void(* driver::Point) (double, double)

Definition at line 47 of file driver.h.

Referenced by Cairo_Driver(), COM_Point(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Raster

int(* driver::Raster) (int, int, const unsigned char *, const unsigned char *, const unsigned char *, const unsigned char *)

Definition at line 38 of file driver.h.

Referenced by Cairo_Driver(), COM_raster(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Set_font

void(* driver::Set_font) (const char *)

Definition at line 53 of file driver.h.

Referenced by Cairo_Driver(), COM_Set_font(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Set_window

void(* driver::Set_window) (double, double, double, double)

Definition at line 36 of file driver.h.

Referenced by Cairo_Driver(), COM_Set_window(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Stroke

void(* driver::Stroke) (void)

Definition at line 45 of file driver.h.

Referenced by Cairo_Driver(), COM_Stroke(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Text

void(* driver::Text) (const char *)

Definition at line 51 of file driver.h.

Referenced by Cairo_Driver(), COM_Text(), HTML_Driver(), PNG_Driver(), and PS_Driver().

## Text_box

void(* driver::Text_box) (const char *, double *, double *, double *, double *)

Definition at line 52 of file driver.h.

Referenced by Cairo_Driver(), COM_Get_text_box(), HTML_Driver(), PNG_Driver(), and PS_Driver().

The documentation for this struct was generated from the following file:

- driver.h